#!/usr/bin/python
from typing import List

from User import *


class Post:
    def __init__(self, id: int, message: str, publishingDate: str, user: User, wall: User, trendingScore: float, likes: int, likedBy: List[User]):
        """ erzeugt ein Post-Objekt, das über Methoden die Informationen zurückgibt """
        self._id = id
        self._message = message
        self._publishingDate = publishingDate
        self._user = user
        self._wall = wall
        self._trendingScore = trendingScore
        self._likes = likes
        self._likedBy = likedBy

    def getId(self) -> int:
        return self._id

    def getMessage(self) -> str:
        return self._message

    def getPublishingDate(self) -> str:
        return self._publishingDate

    def getUser(self) -> User:
        return self._user

    def getUserId(self) -> id:
        return self._user.getId()

    def getUsername(self) -> str:
        return self._user.getUsername()

    def getWall(self) -> User:
        return self._wall

    def getTrendingScore(self) -> float:
        return self._trendingScore

    def getLikes(self) -> int:
        return self._likes

    def getLikedBy(self) -> List[User]:
        return self._likedBy
